## org.hibernate.bytecode.cglib
Class InstantiationOptimizerAdapter

    java.lang.Object
      org.hibernate.bytecode.cglib.InstantiationOptimizerAdapter

All Implemented Interfaces:
  Serializable, ReflectionOptimizer.InstantiationOptimizer

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public class InstantiationOptimizerAdapter

extends Object
implements ReflectionOptimizer.InstantiationOptimizer, Serializable

The `ReflectionOptimizer.InstantiationOptimizer` implementation for CGLIB which simply acts as an adapter to the `FastClass` class.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`InstantiationOptimizerAdapter(net.sf.cglib.reflect.FastClass fastClass)` Deprecated.

Method Summary
`Object` `newInstance()` Deprecated. Perform instantiation of an instance of the underlying class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiationOptimizerAdapter

    public InstantiationOptimizerAdapter(net.sf.cglib.reflect.FastClass fastClass)

  Deprecated.

Method Detail

### newInstance

    public Object newInstance()

  Deprecated.
  Description copied from interface: `ReflectionOptimizer.InstantiationOptimizer`
  Perform instantiation of an instance of the underlying class.

  Specified by:
    `newInstance` in interface `ReflectionOptimizer.InstantiationOptimizer`
  Returns:
    The new instance.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.